<?php if ( ! defined( 'ABSPATH' ) ) {
	die; } // Cannot access directly.
/**
 *
 * Field: backup
 *
 * @since 1.0.0
 * @version 1.0.0
 */
if ( ! class_exists( 'EVS_Field_backup' ) ) {
	class EVS_Field_backup extends EVS_Fields {

		public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' ) {
			parent::__construct( $field, $value, $unique, $where, $parent );
		}

		public function render() {

			$unique = $this->unique;
			$nonce  = wp_create_nonce( 'evs_backup_nonce' );
			$export = add_query_arg(
				array(
					'action' => 'evs-export',
					'unique' => $unique,
					'nonce'  => $nonce,
				),
				admin_url( 'admin-ajax.php' )
			);

			echo wp_kses_post( $this->field_before() );

			echo '<textarea name="evs_import_data" class="evs-import-data"></textarea>';
			echo '<button type="submit" class="button button-primary evs-confirm evs-import" data-unique="' . esc_attr( $unique ) . '" data-nonce="' . esc_attr( $nonce ) . '">' . esc_html__( 'Import', 'event-venue-showcase' ) . '</button>';
			echo '<hr />';
			echo '<textarea readonly="readonly" class="evs-export-data">' . esc_attr( wp_json_encode( get_option( $unique ) ) ) . '</textarea>';
			echo '<a href="' . esc_url( $export ) . '" class="button button-primary evs-export" target="_blank">' . esc_html__( 'Export & Download', 'event-venue-showcase' ) . '</a>';
			echo '<hr />';
			echo '<button type="submit" name="evs_transient[reset]" value="reset" class="button evs-warning-primary evs-confirm evs-reset" data-unique="' . esc_attr( $unique ) . '" data-nonce="' . esc_attr( $nonce ) . '">' . esc_html__( 'Reset', 'event-venue-showcase' ) . '</button>';

			echo wp_kses_post( $this->field_after() );
		}
	}
}
