<?php

/**
 * Custom CSS settings tab.
 *
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Admin/Settings
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

namespace ThemeAtelier\EventVenueShowcase\Admin\Settings;

use ThemeAtelier\EventVenueShowcase\Admin\Framework\Classes\EVS;

// Cannot access directly.
if (!defined('ABSPATH')) {
	die;
}

/**
 * This class is responsible for Custom CSS settings tab in settings page.
 *
 * @since      1.0.0
 */
class CustomStyle
{

	/**
	 * Custom CSS settings.
	 *
	 * @since 1.0.0
	 * @param string $prefix evs_venue_settings.
	 */
	public static function section($prefix)
	{
		EVS::createSection(
			$prefix,
			array(
				'title'  => esc_html__('Custom CSS', 'event-venue-showcase'),
				'icon'   => 'fa fa-file-code-o',
				'fields' => array(
					array(
						'id'       => 'custom_css',
						'type'     => 'code_editor',
						'title'    => esc_html__('Custom CSS', 'event-venue-showcase'),
						'settings' => array(
							'icon'  => 'fa fa-sliders',
							'theme' => 'mbo',
							'mode'  => 'css',
						),
					),
				),
			)
		);
	}
}
