<?php

namespace ThemeAtelier\EventVenueShowcase\Admin\Settings;

use ThemeAtelier\EventVenueShowcase\Admin\Framework\Classes\EVS;
use ThemeAtelier\EventVenueShowcase\Admin\Settings\CustomStyle;

/**
 * Settings class to create all settings options for Event venue.
 */
class Settings {

	/**
	 * Create Option fields for the setting options.
	 *
	 * @param string $prefix Option setting key prefix.
	 * @return void
	 */
	public static function options( $prefix ) {
		EVS::createOptions(
			$prefix,
			array(
				'menu_title'              => esc_html__( 'Settings', 'event-venue-showcase' ),
				'menu_slug'               => 'evs-settings',
				'menu_type'               => 'submenu',
				'menu_parent'             => 'edit.php?post_type=event_venue',
				'show_bar_menu'           => false,
				'show_sub_menu'           => false,
				'framework_title'         => esc_html__( 'Product Venues Settings', 'event-venue-showcase' ),
				'admin_bar_menu_priority' => 5,
				'show_search'             => false,
				'show_all_options'        => false,
				'show_reset_all'          => false,
				'show_reset_section'      => true,
				'show_footer'             => false,
				'theme'                   => 'light',
				'framework_class'         => 'evs-settings',
			)
		);

		// Serialized Ahead!
		CustomStyle::section( $prefix );
	}

}
