<?php

/**
 * Typography tab.
 *
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Admin/Views
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

namespace ThemeAtelier\EventVenueShowcase\Admin\Views;

use ThemeAtelier\EventVenueShowcase\Admin\Framework\Classes\EVS;

// Cannot access directly.
if (!defined('ABSPATH')) {
	die;
}

/**
 * This class is responsible for the heading of the views options.
 *
 * @since      1.0.0
 */
class Heading
{

	/**
	 * Heading configuration.
	 *
	 * @since 1.0.0
	 * @param string $prefix evs_venue_metaboxes.
	 */
	public static function section($prefix)
	{
		EVS::createSection(
			$prefix,
			array(
				'fields' => array(
					array(
						'type'  => 'heading',
						'class' => 'evs-options-header',
						'after' => '<i class="fa fa-life-ring"></i> Support',
						'link'  => 'https://themeatelier.net/contact/',
						'image' => EVENT_VENUE_SHOWCASE_URL . '/includes/Admin/assets/img/event-venue-light.svg',
					),
					array(
						'id'   => 'generator_for_shortcode',
						'type'    => 'shortcode',
					),
				),
			)
		);
	}
}
