jQuery(document).ready(function ($) {
  if ($(".evs-carousel-wrapper").length > 0) {
    $(".evs-carousel-wrapper").each(function () {
      var venue_container = $(this);
      var venue_container_id = venue_container.attr("id"),
        EVS_Wrapper_ID = "#" + venue_container_id,
        evs_sid = $(EVS_Wrapper_ID).data("sid"),
        venueSwiper,
        venueCarousel = $(EVS_Wrapper_ID + " .evs-carousel"),
        venueCarouselData = venueCarousel.data("carousel");
      (ajaxurl = evs.ajaxurl),
        (nonce = evs.nonce),
        (venueSwiper = new Swiper(EVS_Wrapper_ID + " .evs-carousel", {
          slidesPerView: 2,
          spaceBetween: 30,

          autoplay: venueCarouselData.autoplay
            ? {
                delay: venueCarouselData.autoplay_speed,
              }
            : false,
          speed: venueCarouselData.sliding_speed,
          loop: venueCarouselData.infinite_loop,
          spaceBetween: venueCarouselData.spaceBetween,
          breakpoints: {
            320: {
              slidesPerView: venueCarouselData.slidesPerView.mobile,
              slidesPerGroup: venueCarouselData.slideToScroll.mobile,
            },
            600: {
              slidesPerView: venueCarouselData.slidesPerView.tablet,
              slidesPerGroup: venueCarouselData.slideToScroll.tablet,
            },
            768: {
              slidesPerView: venueCarouselData.slidesPerView.laptop,
              slidesPerGroup: venueCarouselData.slideToScroll.laptop,
            },
            992: {
              slidesPerView: venueCarouselData.slidesPerView.desktop,
              slidesPerGroup: venueCarouselData.slideToScroll.desktop,
            },
            1200: {
              slidesPerView: venueCarouselData.slidesPerView.large_desktop,
              slidesPerGroup: venueCarouselData.slideToScroll.large_desktop,
            },
          },
          navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev",
          },
          pagination: {
            el: ".swiper-pagination",
            type: "bullets",
            clickable: true,
          },
        }));

      if (venueCarouselData.autoplay && venueCarouselData.pause_on_hover) {
        $(venueCarousel).on({
          mouseenter: function () {
            this.swiper.autoplay.stop();
          },
          mouseleave: function () {
            this.swiper.autoplay.start();
          },
        });
      }

      // Show the preloader before the map loads
      $(".evs_map").each(function () {
        var $mapContainer = $(this);
        var $preloader = $mapContainer.find(".map-preloader");
        $preloader.show();
        $mapContainer.find("iframe").on("load", function () {
          $preloader.hide();
        });
      });

      // Post all Id list.
      function evs_post_id_list() {
        var list = new Array();
        $(EVS_Wrapper_ID)
          .find(".evs_term_item")
          .each(function (index) {
            list.push($(this).data("id"));
          });
        return list;
      }

      // Return array key number of a value.
      function evs_val2key(val, array) {
        for (var all_key in array) {
          if (array[all_key] == val) {
            return all_key;
          }
        }
        return false;
      }
      // Go to previous array key.
      function evs_array_key_prev(all_key, evs_id_length) {
        all_key--;
        if (all_key < 0) {
          all_key = evs_id_length - 1;
        }
        return all_key;
      }

      // Go to next array key.
      function evs_array_key_next(all_key, evs_id_length) {
        all_key++;
        if (all_key > evs_id_length - 1) {
          all_key = 0;
        }
        return all_key;
      }

      function initializeLoadMoreButton() {
        var popup_ajax_content = document.getElementById("popup_ajax_content");
        var event_count = popup_ajax_content.getAttribute("data-event_count");
        var par_page = popup_ajax_content.getAttribute("data-par_page");

        var page = 2;
        var postsPerPage = event_count;
        $("#load-more")
          .off("click")
          .on("click", function (e) {
            e.preventDefault();
            $.ajax({
              type: "POST",
              url: evs.ajaxurl,
              data: {
                action: "load_more_events",
                nonce: evs.nonce,
                post_id: $("#post_id").val(),
                scode_id: evs_sid,
                page: page,
              },
              beforeSend: function () {
                $("#load-more").text("Loading...");
              },

              success: function (response) {
                if (page >= Math.ceil(postsPerPage / par_page)) {
                  $("#load-more").remove();
                }
                if (response) {
                  $(".popup_event_list").append(response);
                  $("#load-more").text("Load More");
                  page++;
                } else {
                  $("#load-more").text("No More Events");
                  $("#load-more").attr("disabled", true);
                }
              },
            });
          });
      }

      function ajax_popup_next_prev(id, shortcode_id, url) {
        $.ajax({
          type: "POST",
          url: url,
          data: {
            post_id: id,
            scode_id: shortcode_id,
            nonce: evs.nonce,
            action: "evs_post_admin_popup_next_prev",
          },
          success: function (response) {
            var $data = $(response);
            var $newElements = $data.css({ opacity: 0 });
            $(".popup_ajax_content").html($newElements);
            $newElements.animate({ opacity: 1 });
            initializeLoadMoreButton(); // Reinitialize the Load More button
          },
        });
      }

      // Popup modal on ajax.
      $(function () {
        var evs_array_key;
        var evs_id_list;
        var evs_id_length;
        $(EVS_Wrapper_ID).on("click", ".popup-modal", function (event) {
          event.preventDefault();
          event.stopPropagation();
          var that = $(this),
            active_id = that.parents(".evs_term_item").data("id");
          evs_id_list = evs_post_id_list();
          evs_array_key = evs_val2key(active_id, evs_id_list);
          evs_id_length = evs_id_list.length;
          $.ajax({
            type: "POST",
            url: evs.ajaxurl,
            data: {
              post_id: active_id,
              scode_id: evs_sid,
              action: "evs_post_popup",
              nonce: evs.nonce,
            },
            success: function (response) {
              var $data = $(response);
              var $newElements = $data.css({ opacity: 0 });
              $.magnificPopup.open({
                type: "inline",
                mainClass: "evs-popup evs-popup-" + evs_sid,
                showCloseBtn: false,
                closeBtnInside: false,
                enableEscapeKey: true,
                closeOnBgClick: true,
                items: { src: $newElements },
                callbacks: {
                  open: function () {
                    evs_id_length = evs_id_list.length;
                    initializeLoadMoreButton();
                  },
                },
              });
              $newElements.animate({ opacity: 1 });
            },
          });

          // Popup Next.
          $(document).on("click", ".evs-popup-button-next", function (event) {
            event.preventDefault();
            event.stopPropagation();
            evs_array_key = evs_array_key_next(evs_array_key, evs_id_length);
            ajax_popup_next_prev(evs_id_list[evs_array_key], evs_sid, evs.ajaxurl);
          });

          // Popup Prev.
          $(document).on("click", ".evs-popup-button-prev", function (event) {
            event.preventDefault();
            event.stopPropagation();
            evs_array_key = evs_array_key_prev(evs_array_key, evs_id_length);
            ajax_popup_next_prev(evs_id_list[evs_array_key], evs_sid, evs.ajaxurl);
          });
        });
      });
    });
  }
  /* Preloader js */
  $(".evs-wrapper .evs-section-preloader").css(
    "visibility",
    "hidden",
    "backgroundImage",
    "none"
  );
});
