<?php

/**
 * The shortcode/view configurations file.
 *
 * It provides all the configurations/settings of generated shortcode/view.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/partials
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

/*
 * General Tab.
*/

$layout_preset       = isset($views_meta['venue_layout_preset']) ? $views_meta['venue_layout_preset'] : '';
$show_venue_logo     = isset($views_meta['show_venue_logo']) ? $views_meta['show_venue_logo'] : true;
$evs_filter_venue   = $views_meta['evs_filter_venue'];
$evs_specific_venue = isset($views_meta['evs_specific_venue']) ? $views_meta['evs_specific_venue'] : array();
$evs_exclude_venue  = isset($views_meta['evs_exclude_venue']) ? $views_meta['evs_exclude_venue'] : array();
$hide_empty          = isset($views_meta['hide_empty_venue']) ? $views_meta['hide_empty_venue'] : false;
$venue_limit        = $views_meta['venue_limit'];
$columns             = isset($views_meta['number_of_column']) ? $views_meta['number_of_column'] : '';
$order_by            = $views_meta['order_by'];
$venue_order         = $views_meta['order'];
$preloader           = $views_meta['enable_preloader'];

// Responsive Column.
$lg_desktop_screen = $columns['large_desktop'] ?? '4';
$desktop_screen    = $columns['desktop'] ?? '4';
$laptop_screen     = $columns['laptop'] ?? '3';
$tablet_screen     = $columns['tablet'] ?? '2';
$mobile_screen     = $columns['mobile'] ?? '1';

/*
 * Display Tab.
*/
$venue_item_color               = $views_meta['venue_item_color'];
$venue_item_padding             = $views_meta['venue_item_padding'];
$show_section_title             = $views_meta['show_venue_section_title'];
$section_title_margin           = $views_meta['section_title_margin_around'];
$section_title_margin_unit      = $section_title_margin['unit'];
$space_between_venue            = $views_meta['space_between_venue'];
$product_venue_border           = $views_meta['product_venue_border'];
$show_venue_box_shadow           = $views_meta['show_venue_box_shadow'];
$venue_box_shadow_property           = $views_meta['venue_box_shadow_property'];
$venue_border_radius            = $views_meta['venue_border_radius'];
$evs_content_sorter             = isset($views_meta['evs_content_sorter']) ? $views_meta['evs_content_sorter'] : '';

// Image variables.
$evs_thumb = isset($evs_content_sorter['evs_thumb']) ? $evs_content_sorter['evs_thumb'] : '';
$image_venue_border_radius = isset($evs_thumb['image_venue_border_radius']) ? $evs_thumb['image_venue_border_radius'] : '';
$image_venue_border_radius_top = $image_venue_border_radius['top'] . $image_venue_border_radius['unit'];
$image_venue_border_radius_left = $image_venue_border_radius['left'] . $image_venue_border_radius['unit'];
$image_venue_border_radius_bottom = $image_venue_border_radius['bottom'] . $image_venue_border_radius['unit'];
$image_venue_border_radius_right = $image_venue_border_radius['right'] . $image_venue_border_radius['unit'];
$evs_thumb_margin = isset($evs_thumb['evs_thumb_margin']) ? $evs_thumb['evs_thumb_margin'] : '';
$evs_thumb_zoom = isset($evs_thumb['evs_thumb_zoom']) ? $evs_thumb['evs_thumb_zoom'] : 'none';
$evs_thumb_gray_scale = isset($evs_thumb['evs_thumb_gray_scale']) ? $evs_thumb['evs_thumb_gray_scale'] : '';

// Title variables.
$evs_title = isset($evs_content_sorter['evs_title']) ? $evs_content_sorter['evs_title'] : '';
$evs_title_margin = isset($evs_title['evs_title_margin']) ? $evs_title['evs_title_margin'] : '';
$event_count = isset($evs_title['event_count']) ? $evs_title['event_count'] : '';

// Address variables.
$evs_address = isset($evs_content_sorter['evs_address']) ? $evs_content_sorter['evs_address'] : '';
$show_venue_address = isset($evs_address['show_venue_address']) ? $evs_address['show_venue_address'] : '';
$venue_address_icon = isset($evs_address['venue_address_icon']) ? $evs_address['venue_address_icon'] : '';
$venue_address = isset($evs_address['venue_address']) ? $evs_address['venue_address'] : '';
$venue_google_mam_text = isset($evs_address['venue_google_mam_text']) ? $evs_address['venue_google_mam_text'] : '';
$evs_address_margin = isset($evs_address['evs_address_margin']) ? $evs_address['evs_address_margin'] : '';
// Phone variables.
$evs_phone = isset($evs_content_sorter['evs_phone']) ? $evs_content_sorter['evs_phone'] : '';
$phone_number_icon = isset($evs_phone['phone_number_icon']) ? $evs_phone['phone_number_icon'] : '';
$evs_phone_margin = isset($evs_phone['evs_phone_margin']) ? $evs_phone['evs_phone_margin'] : '';
// website variables.
$evs_website = isset($evs_content_sorter['evs_website']) ? $evs_content_sorter['evs_website'] : '';
$website_icon = isset($evs_website['website_icon']) ? $evs_website['website_icon'] : '';
$evs_website_margin = isset($evs_website['evs_website_margin']) ? $evs_website['evs_website_margin'] : '';
// Map variables.
$evs_map = isset($evs_content_sorter['evs_map']) ? $evs_content_sorter['evs_map'] : '';
$evs_map_dimension = isset($evs_map['evs_map_dimension']) ? $evs_map['evs_map_dimension'] : '';
$evs_map_border_radius = isset($evs_map['evs_map_border_radius']) ? $evs_map['evs_map_border_radius'] : '';
$evs_map_border_radius_top = $evs_map_border_radius['top'] . $evs_map_border_radius['unit'];
$evs_map_border_radius_left = $evs_map_border_radius['left'] . $evs_map_border_radius['unit'];
$evs_map_border_radius_bottom = $evs_map_border_radius['bottom'] . $evs_map_border_radius['unit'];
$evs_map_border_radius_right = $evs_map_border_radius['right'] . $evs_map_border_radius['unit'];
$evs_map_margin = isset($evs_map['evs_map_margin']) ? $evs_map['evs_map_margin'] : '';
$show_map_preloader = isset($evs_map['show_map_preloader']) ? $evs_map['show_map_preloader'] : '';
// Description variables.
$evs_description = isset($evs_content_sorter['evs_description']) ? $evs_content_sorter['evs_description'] : '';
$evs_description_margin = isset($evs_description['evs_description_margin']) ? $evs_description['evs_description_margin'] : '';

/*
 * Carousel Tab.
*/
$autoplay       = $views_meta['carousel_autoplay'] ? 'true' : 'false';
$autoplay_speed = $views_meta['carousel_autoplay_speed'];
$sliding_speed  = $views_meta['carousel_sliding_speed'];
$pause_on_hover = $views_meta['carousel_pause_on_hover'] ? 'true' : 'false';
$infinite_loop  = $views_meta['carousel_infinite_loop'] ? 'true' : 'false';
$free_mode      = isset($views_meta['carousel_free_mode']) && $views_meta['carousel_free_mode'] ? 'true' : 'false';
// slide to scroll.
$slide_to_scroll = $views_meta['number_of_venue_to_scroll'];
$large_desktop   = $slide_to_scroll['large_desktop'];
$desktop         = $slide_to_scroll['desktop'];
$laptop          = $slide_to_scroll['laptop'];
$tablet          = $slide_to_scroll['tablet'];
$mobile          = $slide_to_scroll['mobile'];

$carousel_navigation = $views_meta['carousel_navigation'];
$carousel_pagination = $views_meta['carousel_pagination'];
/*
 * Single Page Setting Tab.
*/
$popup_width       = isset($views_meta['popup_width']) ? $views_meta['popup_width'] : '';
$popup_height       = isset($views_meta['popup_height']) ? $views_meta['popup_height'] : '';
$popup_bg_color       = isset($views_meta['popup_bg_color']) ? $views_meta['popup_bg_color'] : '';
$popup_border_radius       = isset($views_meta['popup_border_radius']) ? $views_meta['popup_border_radius'] : '';
$popup_overlay_color       = isset($views_meta['popup_overlay_color']) ? $views_meta['popup_overlay_color'] : '';
$popup_close_button_color       = isset($views_meta['popup_close_button_color']) ? $views_meta['popup_close_button_color'] : '';
$popup_nav_color       = isset($views_meta['popup_nav_color']) ? $views_meta['popup_nav_color'] : '';
$popup_venue_sorter = isset($views_meta['popup_venue_sorter']) ? $views_meta['popup_venue_sorter'] : '';

// Image variables.
$popup_evs_thumb = isset($popup_venue_sorter['popup_evs_thumb']) ? $popup_venue_sorter['popup_evs_thumb'] : '';
$popup_evs_thumb_gray_scale = isset($popup_evs_thumb['popup_evs_thumb_gray_scale']) ? $popup_evs_thumb['popup_evs_thumb_gray_scale'] : '';
$popup_evs_thumb_border = isset($popup_evs_thumb['popup_evs_thumb_border']) ? $popup_evs_thumb['popup_evs_thumb_border'] : '';
$popup_image_venue_border_radius = isset($popup_evs_thumb['popup_image_venue_border_radius']) ? $popup_evs_thumb['popup_image_venue_border_radius'] : '';
$popup_image_venue_border_radius_top = $popup_image_venue_border_radius['top'] . $popup_image_venue_border_radius['unit'];
$popup_image_venue_border_radius_left = $popup_image_venue_border_radius['left'] . $popup_image_venue_border_radius['unit'];
$popup_image_venue_border_radius_bottom = $popup_image_venue_border_radius['bottom'] . $popup_image_venue_border_radius['unit'];
$popup_image_venue_border_radius_right = $popup_image_venue_border_radius['right'] . $popup_image_venue_border_radius['unit'];
$popup_evs_thumb_margin = isset($popup_evs_thumb['popup_evs_thumb_margin']) ? $popup_evs_thumb['popup_evs_thumb_margin'] : '';
$popup_evs_thumb_zoom = isset($popup_evs_thumb['popup_evs_thumb_zoom']) ? $popup_evs_thumb['popup_evs_thumb_zoom'] : 'none';

// Popup Title variables.
$popup_evs_title = isset($popup_venue_sorter['popup_evs_title']) ? $popup_venue_sorter['popup_evs_title'] : '';
$popup_evs_title_margin = isset($popup_evs_title['popup_evs_title_margin']) ? $popup_evs_title['popup_evs_title_margin'] : '';

// Address variables.
$popup_evs_address = isset($popup_venue_sorter['popup_evs_address']) ? $popup_venue_sorter['popup_evs_address'] : '';
$popup_evs_address_margin = isset($popup_evs_address['popup_evs_address_margin']) ? $popup_evs_address['popup_evs_address_margin'] : '';
// Phone variables.
$popup_evs_phone = isset($popup_venue_sorter['popup_evs_phone']) ? $popup_venue_sorter['popup_evs_phone'] : '';
$popup_evs_phone_margin = isset($popup_evs_phone['popup_evs_phone_margin']) ? $popup_evs_phone['popup_evs_phone_margin'] : '';
// website variables.
$popup_evs_website = isset($popup_venue_sorter['popup_evs_website']) ? $popup_venue_sorter['popup_evs_website'] : '';
$popup_evs_website_margin = isset($popup_evs_website['popup_evs_website_margin']) ? $popup_evs_website['popup_evs_website_margin'] : '';
// Map variables.
$popup_evs_map = isset($popup_venue_sorter['popup_evs_map']) ? $popup_venue_sorter['popup_evs_map'] : '';
$popup_evs_map_dimension = isset($popup_evs_map['popup_evs_map_dimension']) ? $popup_evs_map['popup_evs_map_dimension'] : '';
$popup_evs_map_border_radius = isset($popup_evs_map['popup_evs_map_border_radius']) ? $popup_evs_map['popup_evs_map_border_radius'] : '';
$popup_evs_map_border_radius_top = $popup_evs_map_border_radius['top'] . $popup_evs_map_border_radius['unit'];
$popup_evs_map_border_radius_left = $popup_evs_map_border_radius['left'] . $popup_evs_map_border_radius['unit'];
$popup_evs_map_border_radius_bottom = $popup_evs_map_border_radius['bottom'] . $popup_evs_map_border_radius['unit'];
$popup_evs_map_border_radius_right = $popup_evs_map_border_radius['right'] . $popup_evs_map_border_radius['unit'];
$popup_evs_map_margin = isset($popup_evs_map['popup_evs_map_margin']) ? $popup_evs_map['popup_evs_map_margin'] : '';
// Description variables.
$popup_evs_description = isset($popup_venue_sorter['popup_evs_description']) ? $popup_venue_sorter['popup_evs_description'] : '';
$popup_evs_description_margin = isset($popup_evs_description['popup_evs_description_margin']) ? $popup_evs_description['popup_evs_description_margin'] : '';