<?php

/**
 * Dynamic CSS Style.
 *
 * @package event-venue-showcase
 *
 * @since 1.0.0
 */

require 'configurations.php';

// Section Title style.
if ($show_section_title) {
    $custom_css .= '
    #evs_venue_main_area_' . $views_id . ' .evs-section .evs-section-title{
    margin: ' . $section_title_margin['top'] . $section_title_margin_unit . ' ' . $section_title_margin['right'] . $section_title_margin_unit . ' ' . $section_title_margin['bottom'] . $section_title_margin_unit . ' ' . $section_title_margin['left'] . $section_title_margin_unit . ';
}';
} else {
    $custom_css .= '
    #evs_venue_main_area_' . $views_id . ' .evs-carousel{
    margin-top: 65px;
}';
}
// Background & hover color style for Item.
$custom_css .= "
#evs_venue_main_area_{$views_id} .evs_term_item {
    color: {$venue_item_color['color']};
	background-color: {$venue_item_color['background']};
    padding: {$venue_item_padding['top']}px {$venue_item_padding['right']}px {$venue_item_padding['bottom']}px {$venue_item_padding['left']}px;
    border: {$product_venue_border['all']}px {$product_venue_border['style']} {$product_venue_border['color']};
    border-radius: {$venue_border_radius['all']}{$venue_border_radius['unit']};
}#evs_venue_main_area_{$views_id} .evs_term_item:hover{
    color: {$venue_item_color['hover_color']};
	background-color: {$venue_item_color['hover_background']};
    border-color: {$product_venue_border['hover_color']};
}#evs_venue_main_area_{$views_id} .evs_term_item a {color: {$venue_item_color['color']};}#evs_venue_main_area_{$views_id} .evs_term_item:hover a {color: {$venue_item_color['hover_color']};}
#evs_venue_main_area_{$views_id} .evs_term_item .evs_title{
	color: {$venue_item_color['color']};
}#evs_venue_main_area_{$views_id} .evs-grid .evs-row [class*=sbfw-col-]{
	padding: {$space_between_venue['all']}px;}#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper {margin: {$evs_thumb_margin['top']}px {$evs_thumb_margin['right']}px {$evs_thumb_margin['bottom']}px {$evs_thumb_margin['left']}px;border-radius: {$image_venue_border_radius_top} {$image_venue_border_radius_right} {$image_venue_border_radius_bottom} {$image_venue_border_radius_left};}
";
if ( $show_venue_box_shadow ) {
	$box_shadow_h             = $venue_box_shadow_property['horizontal'];
	$box_shadow_v             = $venue_box_shadow_property['vertical'];
	$box_shadow_blur          = $venue_box_shadow_property['blur'];
	$box_shadow_spread        = $venue_box_shadow_property['spread'];
	$box_shadow_color         = $venue_box_shadow_property['color'];
	$box_shadow_style         = 'outset' === $venue_box_shadow_property['style'] ? '' : $venue_box_shadow_property['style'];
	$box_shadow_margin_top    = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread - $box_shadow_v + 0.5 * $box_shadow_blur );
	$box_shadow_margin_right  = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread + $box_shadow_h + 0.5 * $box_shadow_blur );
	$box_shadow_margin_bottom = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread + $box_shadow_v + 0.5 * $box_shadow_blur );
	$box_shadow_margin_left   = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread - $box_shadow_h + 0.5 * $box_shadow_blur );
	$custom_css              .= "#evs_venue_main_area_{$views_id} .evs_term_item{box-shadow: {$box_shadow_h}px {$box_shadow_v}px {$box_shadow_blur}px {$box_shadow_spread}px {$box_shadow_color} {$box_shadow_style};margin: {$box_shadow_margin_top}px {$box_shadow_margin_right}px {$box_shadow_margin_bottom}px {$box_shadow_margin_left}px;}";
}
// Zoom effect.
if ('zoom_in' === $evs_thumb_zoom) {
    $custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper:hover img{transform: scale(1.08);}";
} elseif ('zoom_out' === $evs_thumb_zoom) {
    $custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper img{transform: scale(1.08);}
		#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper:hover img{transform: scale(1.0);}";
}
// Grayscale effect.
$post_thumb_gray_scale = isset($post_thumb_css['post_thumb_gray_scale']) ? $post_thumb_css['post_thumb_gray_scale'] : 'none';

if ('gray_and_normal' === $post_thumb_gray_scale) {
    $custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}#evs_venue_main_area_{$views_id} .evs_term_item:hover .evs_thumb_wrapper img{-webkit-filter: grayscale(0);filter: grayscale(0);}";
} elseif ('gray_on_hover' === $post_thumb_gray_scale) {
    $custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper img{-webkit-filter: grayscale(0);filter: grayscale(0);}#evs_venue_main_area_{$views_id} .evs_term_item:hover .evs_thumb_wrapper img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
} elseif ('always_gray' === $post_thumb_gray_scale) {
    $custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_term_image .evs_thumb_wrapper img,#evs_venue_main_area_{$views_id} .evs_term_item:hover .evs_thumb_wrapper img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
}

// Title style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_title{margin:{$evs_title_margin['top']}px {$evs_title_margin['right']}px {$evs_title_margin['bottom']}px {$evs_title_margin['left']}px;}";
// Address style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_address{margin:{$evs_address_margin['top']}px {$evs_address_margin['right']}px {$evs_address_margin['bottom']}px {$evs_address_margin['left']}px;}";
// Phone style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_phone{margin:{$evs_phone_margin['top']}px {$evs_phone_margin['right']}px {$evs_phone_margin['bottom']}px {$evs_phone_margin['left']}px;}";
// Website style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_website{margin:{$evs_website_margin['top']}px {$evs_website_margin['right']}px {$evs_website_margin['bottom']}px {$evs_website_margin['left']}px;}";
// Map style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_map{margin:{$evs_map_margin['top']}px {$evs_map_margin['right']}px {$evs_map_margin['bottom']}px {$evs_map_margin['left']}px;}#evs_venue_main_area_{$views_id} .evs_term_item .evs_map iframe{height:{$evs_map_dimension['height']}{$evs_map_dimension['unit']};border-radius: {$evs_map_border_radius_top} {$evs_map_border_radius_right} {$evs_map_border_radius_bottom} {$evs_map_border_radius_left};}";
// Description style
$custom_css .= "#evs_venue_main_area_{$views_id} .evs_term_item .evs_description{margin:{$evs_description_margin['top']}px {$evs_description_margin['right']}px {$evs_description_margin['bottom']}px {$evs_description_margin['left']}px;}";

// Carousel navigation color.
if ($carousel_navigation) {
    $carousel_nav_color     = isset($views_meta['carousel_navigation_color']) ? $views_meta['carousel_navigation_color'] : array(
        'color'          => '#aaaaaa',
        'hover_color'    => '#ffffff',
        'bg_color'       => 'transparent',
        'bg_hover_color' => '#5c4aee',
    );
    $color                  = $carousel_nav_color['color'];
    $hover_color            = $carousel_nav_color['hover_color'];
    $background_color       = $carousel_nav_color['bg_color'];
    $background_hover_color = $carousel_nav_color['bg_hover_color'];

    $custom_css .= '#evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-next,
    #evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-prev{
        background-color: ' . $background_color . ';
    }#evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-next:hover,
    #evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-prev:hover{
        background-color: ' . $background_hover_color . ';
    }#evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-next:after,
    #evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-prev:after{
        color : ' . $color . ';
    }#evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-next:hover::after,
    #evs_venue_main_area_' . $views_id . ' .evs-carousel .evs-button-prev:hover::after{
        color : ' . $hover_color . ';
    }';
}

// Carousel Pagination color.
if ($carousel_pagination) {
    $carousel_pag_color = isset($views_meta['carousel_pagination_color']) ? $views_meta['carousel_pagination_color'] : array(
        'color'        => '#aaaaaa',
        'active_color' => '#5c4aee',
    );
    $color              = $carousel_pag_color['color'];
    $active_color       = $carousel_pag_color['active_color'];

    $custom_css .= '
    #evs_venue_main_area_' . $views_id . ' .evs-pagination .swiper-pagination-bullet{
        background: ' . $color . ';
    }#evs_venue_main_area_' . $views_id . ' .evs-pagination .swiper-pagination-bullet-active{
        background: ' . $active_color . ';
    }';
}
/**
 * Popup style
 */
$custom_css .= ".evs-popup-{$views_id} .evs-modal {max-width:{$popup_width['all']}{$popup_width['unit']};max-height:{$popup_height['all']}{$popup_height['unit']};background-color:{$popup_bg_color}; border-radius:{$popup_border_radius['all']}{$popup_border_radius['unit']};}.evs-popup-{$views_id}.mfp-bg {background-color:{$popup_overlay_color};}.evs-popup-{$views_id} .evs-modal .mfp-close{color:{$popup_close_button_color['color']};}.evs-popup-{$views_id} .evs-modal .mfp-close:hover{color:{$popup_close_button_color['hover-color']};}.evs-popup-{$views_id} .evs-modal .evs-popup-button-prev, .evs-popup-{$views_id} .evs-modal .evs-popup-button-next{color:{$popup_nav_color['color']};background-color:{$popup_nav_color['bg']};}.evs-popup-{$views_id} .evs-modal .evs-popup-button-prev:hover, .evs-popup-{$views_id} .evs-modal .evs-popup-button-next:hover{color:{$popup_nav_color['hover-color']};background-color:{$popup_nav_color['hover-bg']};}.evs-popup-{$views_id} .evs-modal .evs_title{margin:{$popup_evs_title_margin['top']}px {$popup_evs_title_margin['right']}px {$popup_evs_title_margin['bottom']}px {$popup_evs_title_margin['left']}px;}";

// Image Style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image {margin: {$popup_evs_thumb_margin['top']}px {$popup_evs_thumb_margin['right']}px {$popup_evs_thumb_margin['bottom']}px {$popup_evs_thumb_margin['left']}px;border-radius: {$popup_image_venue_border_radius_top} {$popup_image_venue_border_radius_right} {$popup_image_venue_border_radius_bottom} {$popup_image_venue_border_radius_left};border:{$popup_evs_thumb_border['all']}px {$popup_evs_thumb_border['style']} {$popup_evs_thumb_border['color']};}.evs-popup-{$views_id} .evs-modal .evs_term_image:hover {border-color: {$popup_evs_thumb_border['hover_color']}}";
// Zoom effect.
if ('zoom_in' === $popup_evs_thumb_zoom) {
    $custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image:hover img{transform: scale(1.08);}";
} elseif ('zoom_out' === $popup_evs_thumb_zoom) {
    $custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image img{transform: scale(1.08);}
		.evs-popup-{$views_id} .evs-modal .evs_term_image:hover img{transform: scale(1.0);}";
}
// Grayscale effect.
if ('gray_and_normal' === $popup_evs_thumb_gray_scale) {
    $custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}.evs-popup-{$views_id} .evs-modal:hover img{-webkit-filter: grayscale(0);filter: grayscale(0);}";
} elseif ('gray_on_hover' === $popup_evs_thumb_gray_scale) {
    $custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image img{-webkit-filter: grayscale(0);filter: grayscale(0);}.evs-popup-{$views_id} .evs-modal:hover img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
} elseif ('always_gray' === $popup_evs_thumb_gray_scale) {
    $custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_term_image img,.evs-popup-{$views_id} .evs-modal:hover .evs_thumb_wrapper img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
}
// Address style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_address{margin:{$popup_evs_address_margin['top']}px {$popup_evs_address_margin['right']}px {$popup_evs_address_margin['bottom']}px {$popup_evs_address_margin['left']}px;}";
// Phone style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_phone{margin:{$popup_evs_phone_margin['top']}px {$popup_evs_phone_margin['right']}px {$popup_evs_phone_margin['bottom']}px {$popup_evs_phone_margin['left']}px;}";
// Website style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_website{margin:{$popup_evs_website_margin['top']}px {$popup_evs_website_margin['right']}px {$popup_evs_website_margin['bottom']}px {$popup_evs_website_margin['left']}px;}";
// Map style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_map{margin:{$popup_evs_map_margin['top']}px {$popup_evs_map_margin['right']}px {$popup_evs_map_margin['bottom']}px {$popup_evs_map_margin['left']}px;}.evs-popup-{$views_id} .evs-modal .evs_map iframe{height:{$popup_evs_map_dimension['height']}{$popup_evs_map_dimension['unit']};border-radius: {$popup_evs_map_border_radius_top} {$popup_evs_map_border_radius_right} {$popup_evs_map_border_radius_bottom} {$popup_evs_map_border_radius_left};}";
// Description style
$custom_css .= ".evs-popup-{$views_id} .evs-modal .evs_description{margin:{$popup_evs_description_margin['top']}px {$popup_evs_description_margin['right']}px {$popup_evs_description_margin['bottom']}px {$popup_evs_description_margin['left']}px;}";
