<?php

/**
 * The frontend facing Carousel layout file.
 *
 * It shows the frontend output of plugin for carousel layout.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/templates
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

use ThemeAtelier\EventVenueShowcase\Frontend\Manager;

?>
<div class="swiper-container evs-carousel" data-carousel='{"autoplay" : <?php echo esc_attr( $autoplay ); ?>,"autoplay_speed" : <?php echo esc_attr( $autoplay_speed ); ?>,"spaceBetween" : <?php echo esc_attr( $space_between_venue['all'] ); ?>,"sliding_speed" : <?php echo esc_attr( $sliding_speed ); ?>,"pause_on_hover" : <?php echo esc_attr( $pause_on_hover ); ?>,"infinite_loop" : <?php echo esc_attr( $infinite_loop ); ?>,"carousel_navigation" : "<?php echo esc_attr( $carousel_navigation ); ?>","carousel_pagination" : "<?php echo esc_attr( $carousel_pagination ); ?>","slideToScroll": {"large_desktop": <?php echo esc_attr( $large_desktop ); ?>,"desktop": <?php echo esc_attr( $desktop ); ?>,"laptop": <?php echo esc_attr( $laptop ); ?>,"tablet": <?php echo esc_attr( $tablet ); ?>,"mobile": <?php echo esc_attr( $mobile ); ?>},"slidesPerView": {"large_desktop": <?php echo esc_html( $lg_desktop_screen ); ?>,"desktop": <?php echo esc_html( $desktop_screen ); ?>,"laptop": <?php echo esc_html( $laptop_screen ); ?>,"tablet": <?php echo esc_html( $tablet_screen ); ?>,"mobile": <?php echo esc_html( $mobile_screen ); ?>}}'>
	<div class="swiper-wrapper">
		<?php
		foreach ( $venue_query as $key => $venue ) {
			?>
			<div class="swiper-slide evs-venue-term">
				<div class="evs_term_item <?php echo esc_attr($evs_thumb_gray_scale); ?>" data-id="<?php echo esc_attr($venue->ID); ?>">
					<?php include Manager::evs_locate_template( 'venue/venue.php' ); ?>
				</div>
			</div>
			<?php

		}
		?>
	</div>
	<?php if ( $carousel_navigation ) { ?>
		<div class="evs-button-next swiper-button-next"></div>
		<div class="evs-button-prev swiper-button-prev"></div>
		<?php
	}
	if ( $carousel_pagination ) {
		?>
		<div class="evs-pagination swiper-pagination"></div>
	<?php } ?>
</div>
