<?php

/**
 * The frontend facing venue description file.
 *
 * The output HTML for the description of venue.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/templates/venue
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */


use ThemeAtelier\EventVenueShowcase\Frontend\Manager;

$is_page_content = false;
$is_page_content = apply_filters('evs_strip_shortcode_in_page_content', $is_page_content);
if ('excerpt' === $evs_content_type) {
	$evs_post_content = get_the_excerpt($venue);
} elseif ('full_content' === $evs_content_type) {
	if ($is_page_content) {
		$post_content = apply_filters('evs_the_content', strip_shortcodes($venue->post_content));
	} else {
		$post_content = apply_filters('evs_the_content', $venue->post_content);
	}
	$evs_post_content = $post_content;
} else {
	if ($is_page_content) {
		$post_content = apply_filters('evs_the_content', strip_shortcodes($venue->post_content));
	} else {
		$post_content = apply_filters('evs_the_content', $venue->post_content);
	}
	if ('characters' === $evs_content_length_type) {
		$_trimmed_content = ('strip_all' === $evs_strip_tags) ? wp_html_excerpt($post_content, $evs_content_characters_limit, $evs_content_ellipsis) : self::limit_content_chr($post_content, $evs_content_characters_limit, $evs_content_ellipsis);
	} else {
		$_trimmed_content = Manager::evs_limit_text($post_content, $evs_content_limit, $evs_content_ellipsis);
	}

	$evs_post_content = force_balance_tags($_trimmed_content);
}

?>
<div class="evs_description">
	<p><?php echo wp_kses_post($evs_post_content); ?></p>
</div>
