<?php

/**
 * The frontend facing venue name file.
 *
 * The output HTML for the name of venue.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/templates/venue
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */
// $url = tribe_get_venue_link($venue->ID);

$evs_page_link_type = isset($views_meta['evs_page_link_type']) ? $views_meta['evs_page_link_type'] : "popup";
$evs_link_target = isset($views_meta['evs_link_target']) ? $views_meta['evs_link_target'] : "_self";
$evs_link_rel = isset($views_meta['evs_link_rel']) ? $views_meta['evs_link_rel'] : "";
?>
<h3 class="evs_title">
	<?php if ('popup' === $evs_page_link_type) { ?>
		<a class="popup-modal" href="<?php echo esc_url(get_permalink($venue)); ?>" target="<?php echo esc_attr($evs_link_target); ?>" <?php echo esc_html($evs_link_rel); ?>>
		<?php } elseif ('none' === $evs_page_link_type) { ?>
			<a target="<?php echo esc_attr($evs_link_target); ?>" <?php echo esc_html($evs_link_rel); ?>>
			<?php } else { ?>
				<a href="<?php echo esc_url(get_permalink($venue)); ?>" target="<?php echo esc_attr($evs_link_target); ?>" <?php echo esc_html($evs_link_rel); ?>>
				<?php } ?>
				<?php echo esc_html(get_the_title($venue)); ?>
				<?php if ($event_count && $events_count) : ?>
					(<?php echo esc_html($events_count) ?>)
				<?php endif; ?>
				</a>
</h3>