<?php

/**
 * The frontend facing venue file to show term item.
 *
 * It shows the frontend output of plugin for grid layout.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/templates/venue
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

use ThemeAtelier\EventVenueShowcase\Frontend\Manager;

$args = array(
	'post_type' => 'tribe_events',
	'posts_per_page' => -1,
	'meta_query' => array(
		array(
			'key' => '_EventVenueID',
			'value' => $venue->ID,
			'compare' => '='
		)
	)
);

$events_query = new WP_Query($args);
$events_count = $events_query->post_count;
wp_reset_postdata();

if ($evs_content_sorter) {
	foreach ($evs_content_sorter as $content_key => $content_sorter) {
		switch ($content_key) {
			case 'evs_thumb':
				$show_venue_image = isset($content_sorter['show_venue_image']) ? $content_sorter['show_venue_image'] : '';
				if ($show_venue_image) {
					echo '<div class="evs_term_image">';
					Manager::venue_logo($venue, $content_sorter, $views_meta);
					echo '</div>';
				}
				break;
			case 'evs_title':
				$show_venue_title = isset($content_sorter['show_venue_title']) ? $content_sorter['show_venue_title'] : '';
				if ($show_venue_title) {
					include Manager::evs_locate_template('venue/name.php');
				}
				break;
			case 'evs_address':
				$show_venue_address = isset($content_sorter['show_venue_address']) ? $content_sorter['show_venue_address'] : '';
				if ($show_venue_address) {
					include Manager::evs_locate_template('venue/address.php');
				}
				break;
			case 'evs_phone':
				$show_phone_number = isset($content_sorter['show_phone_number']) ? $content_sorter['show_phone_number'] : '';
				if ($show_phone_number) {
					include Manager::evs_locate_template('venue/phone.php');
				}
				break;
			case 'evs_website':
				$show_venue_website = isset($content_sorter['show_venue_website']) ? $content_sorter['show_venue_website'] : '';
				$website_text = isset($content_sorter['website_text']) ? $content_sorter['website_text'] : '';
				if ($show_venue_website) {
					include Manager::evs_locate_template('venue/website.php');
				}
				break;
			case 'evs_map':
				$show_venue_map = isset($content_sorter['show_venue_map']) ? $content_sorter['show_venue_map'] : '';
				if ($show_venue_map) {
					include Manager::evs_locate_template('venue/map.php');
				}
				break;
			case 'evs_description':
				$show_venue_content = isset($content_sorter['show_venue_content']) ? $content_sorter['show_venue_content'] : '';
				$evs_content_type = isset($content_sorter['evs_content_type']) ? $content_sorter['evs_content_type'] : '';
				$evs_content_length_type = isset($content_sorter['evs_content_length_type']) ? $content_sorter['evs_content_length_type'] : '';
				$evs_content_limit = isset($content_sorter['evs_content_limit']) ? $content_sorter['evs_content_limit'] : '';
				$evs_content_length_type = isset($content_sorter['evs_content_length_type']) ? $content_sorter['evs_content_length_type'] : '';
				$evs_content_ellipsis = isset($content_sorter['evs_content_ellipsis']) ? $content_sorter['evs_content_ellipsis'] : '';
				$evs_content_characters_limit = isset($content_sorter['evs_content_characters_limit']) ? $content_sorter['evs_content_characters_limit'] : '';
				if ($show_venue_content) {
					include Manager::evs_locate_template('venue/description.php');
				}
				break;
		}
	}
}
